Subject: bug#7251: closed (Re: bug#7251: 24.0.50; cannot locate feature `sc')

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 20 Oct 2010 15:52:02 +0000

Your bug report

#7251: 24.0.50; cannot locate feature `sc'

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7251: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7251
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7251: 24.0.50; cannot locate feature `sc'
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Wed, 20 Oct 2010 23:55:03 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

JR> Presumably something is requiring sc (perhaps where it meant supercite).
JR> Looking at your .emacs, I would suspect bbdb-init.

OK, I changed it to the newer 'supercite' and it seems to work. Thanks. Closing.

Subject: 24.0.50; cannot locate feature `sc'
From: [email-masked]
To: [email-masked]
Date: Wed, 20 Oct 2010 11:52:27 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Upon starting, I get
  cannot locate feature `sc'
lately, with my http://jidanni.org/comp/configuration/ files.

In GNU Emacs 24.0.50.1 (i486-pc-linux-gnu, GTK+ Version 2.20.1)
 of 2010-10-16 on elegiac, modified by Debian
 (emacs-snapshot package, version 1:20101016-1)
Windowing system distributor `The X.Org Foundation', version 11.0.10707000
configured using `configure  '--build' 'i486-linux-gnu' '--host' 'i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/24.0.50/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.0.50/site-lisp:/usr/share/emacs/site-lisp' '--without-compress-info' '--with-x=yes' '--with-x-toolkit=gtk' '--with-imagemagick=yes' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2' 'LDFLAGS=-g -Wl,--as-needed' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: zh_TW.UTF-8
  value of $LC_MESSAGES: C
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: C
  value of $LANG: zh_TW.UTF-8
  value of $XMODIFIERS: @im=SCIM
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: w3m

Minor modes in effect:
  pc-selection-mode: t
  show-paren-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  size-indication-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-h e <prior> C-p C-p C-k C-x x S " C-y <backspace> 
" <return> SPC SPC S <delete> <up> e m a c d SPC <backspace> 
<backspace> s SPC <backspace> <backspace> <backspace> 
a <backspace> <backspace> a c s SPC <return> <escape> 
x r e p o <tab> r <tab> b <tab> <return>

Recent messages:
Fontifying...done
Starting new Ispell process [american] ...
Reading http://www.google.com.tw/search?q="cannot+locate+feature+`sc'"&ie=utf-8&oe=utf-8...done
Rendering...done
Fontifying...done
delete-forward-char: End of buffer
Reading http://www.google.com.tw/search?q=emacs+"cannot+locate+feature+`sc'"&ie=utf-8&oe=utf-8...done
Rendering...done
Fontifying...done
Making completion list...

Load-path shadows:
/usr/share/emacs-snapshot/site-lisp/css-mode/css-mode hides /usr/share/emacs/site-lisp/css-mode/css-mode
/usr/share/emacs-snapshot/site-lisp/html-helper-mode/hhm-config hides /usr/share/emacs/site-lisp/html-helper-mode/hhm-config
/usr/share/emacs-snapshot/site-lisp/html-helper-mode/html-helper-mode hides /usr/share/emacs/site-lisp/html-helper-mode/html-helper-mode
/usr/share/emacs-snapshot/site-lisp/html-helper-mode/tempo hides /usr/share/emacs/site-lisp/html-helper-mode/tempo
/usr/share/emacs-snapshot/site-lisp/html-helper-mode/visual-basic-mode hides /usr/share/emacs/site-lisp/html-helper-mode/visual-basic-mode
/usr/share/emacs/24.0.50/site-lisp/debian-startup hides /usr/share/emacs/site-lisp/debian-startup
/usr/share/emacs-snapshot/site-lisp/html-helper-mode/tempo hides /usr/share/emacs/24.0.50/lisp/tempo
/usr/share/emacs-snapshot/site-lisp/css-mode/css-mode hides /usr/share/emacs/24.0.50/lisp/textmodes/css-mode

Features:
(shadow sort gnus-util mail-extr message sendmail rfc822 mml mml-sec
mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mailabbrev mail-utils gmm-utils mailheader
emacsbug help-mode view flyspell ispell thingatpt w3m-search w3m-filter
mule-util w3m-cookie w3m-bookmark w3m-tabmenu w3m-session w3m-form w3m
browse-url doc-view easymenu jka-compr image-mode w3m-hist w3m-fb
w3m-ems wid-edit w3m-ccl ccl w3m-favicon w3m-image w3m-proc w3m-util
dired-x dired-aux dired finder-inf package cc-styles cc-align cc-engine
cc-vars cc-defs delsel pc-select cus-start cus-load ffap bbdb regexp-opt
timezone uniquify paren server advice help-fns advice-preload header
debian-el debian-el-loaddefs w3m-load emacs-goodies-el
emacs-goodies-custom emacs-goodies-loaddefs easy-mmode bbdb-autoloads
china-util tooltip ediff-hook vc-hooks lisp-float-type mwheel x-win
x-dnd tool-bar dnd fontset image fringe lisp-mode register page menu-bar
rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax
facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
czech european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev loaddefs button minibuffer faces
cus-face files text-properties overlay md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote
make-network-process dbusbind dynamic-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)